[Lunar-commits] r17551 - moonbase/trunk/bluetooth/bluez-utils/init.d

Jan Eidtmann cmak at lunar-linux.org
Fri Dec 2 04:29:48 UTC 2005


Author: cmak
Date: 2005-12-02 04:29:48 +0000 (Fri, 02 Dec 2005)
New Revision: 17551

Modified:
   moonbase/trunk/bluetooth/bluez-utils/init.d/btrfcomm
Log:
this works.

Modified: moonbase/trunk/bluetooth/bluez-utils/init.d/btrfcomm
===================================================================
--- moonbase/trunk/bluetooth/bluez-utils/init.d/btrfcomm	2005-12-02 04:07:53 UTC (rev 17550)
+++ moonbase/trunk/bluetooth/bluez-utils/init.d/btrfcomm	2005-12-02 04:29:48 UTC (rev 17551)
@@ -1,13 +1,20 @@
 #!/bin/bash
 #
-# rfcomm
+# bind bt rfcomm devices
 #
 # chkconfig: 345 80 20
-# description: rfcomm Bluetooth Daemon
-# processname: rfcomm
-# config:      /etc/bluetooth/rfcomm.conf
+# description: bind rfcomm devices
 
-ARGS="-f /etc/bluetooth/rfcomm.conf"
+case "$1" in
+    start)
+    /usr/bin/rfcomm -f /etc/bluetooth/rfcomm.conf bind all
+    ;;
+    stop)
+    /usr/bin/rfcomm release all > /dev/null 2>&1
+    ;;
+    *)
+    echo "Usage: $0 {start|stop}"
+    exit 1
+    ;;
+esac
 
-. /lib/lsb/init-functions
-



More information about the Lunar-commits mailing list